Skip to main content
Back to API List To add or remove the ability to access App Builder to create new bots.
This API requires JWT generated by an application created only from the Admin Console.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/useraccess
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Profile Management > Role Management

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai

Sample Request

curl -X POST 'https://{{host}}/api/public/useraccess' \
  -H 'Content-Type: application/json' \
  -H 'auth: YOUR_JWT_ACCESS_TOKEN' \
  -d '{
"emailIds":["sample1@sampleemail.com"],
"canCreateBot":true,
"isDeveloper":true,
"hasDataTableAndViewAccess": true
}'

Body Parameters

ParameterDescription
emailIdsThe array of user email IDs whose access permissions have to be changed, for example, ["john.doe@example.com", "jane.doe@example.com"].
canCreateBotDetermines if the specified users can create AI Agents in their App Builder accounts. Set to true or false.
isDeveloperDetermines if the specified users can have access to App Builder. Set to true or false.
hasDataTableAndViewAccessDetermines if the specified users can create tables and views. Set to true or false.

Sample Response

Success:
[
  "SUCCESS"
]
Invalid input combination (canCreateBot: true, isDeveloper: false):
{
  "errors": [
      {
        "msg": "Invalid values in the body",
        "code": 403
      }
  ]
}
No email addresses provided (emailIds is empty):
{
  "errors": [
      { "msg": "emailIds cannot be empty",
        "code": 400 }
   ]
}
Invalid email ID or email not present in the account:
{
  "errors": [
    { "msg": "One or more entered emails not found",
      "code": 400 }
  ]
}
One or more emailIds belong to other accounts:
{
  "errors": [
    { "msg": "Emails << vishxxxxx@domain.com >> not associated with your account",
      "code": 400 }
  ]
}